/*------------------------------------*\
    $BUTTONS
\*------------------------------------*/

.btn {
    background-color: #262525;
    color: #a6a1a1;
    text-transform: uppercase;
    letter-spacing: .0625em;
    @include font-size(12px, true, 1.083);
    padding: 0 1.5em;
    @include transition(all .15s);

    &:hover {
        background-color: $accent;
        color:white;
    }

    &.btn--beta { @include font-size(12px, true, 1.25); }
    &.btn--alpha { @include font-size(12px, true, 1.5); }
}

.btn--primary {
    background-color: $accent;
    color: white;

    &:hover {
        background:$dark;
    }
}

.btn--secondary {
    color: white;
}

.btn--tertiary {
    @extend .btn--secondary;
    background-color: $light;
}


/*------------------------------------*\
    $SIZES
\*------------------------------------*/
.btn--small {
    @include font-size(11px, true, 0.75);
    padding: 0 .75em;
    &.btn--beta { @include font-size(11px, true, 1); }
    &.btn--alpha { @include font-size(11px, true, 1.25); }
}

.btn--large {
    @include font-size(16px, true, 1.5);
    padding: 0 2em;
    &.btn--beta { @include font-size(16px, true, 1.75); }
    &.btn--alpha { @include font-size(16px, true, 2); }
}

.btn--huge {
    padding: 0 2.5em;
    @include font-size(20px, true, 2);
    &.btn--beta { @include font-size(20px, true, 2.5); }
    &.btn--alpha { @include font-size(20px, true, 3); }
}

.btn-list {
    @extend .cf;
    padding: 0;
    margin: 0 0 0 -2px;
    list-style: none;

	div{
		cursor: default;
		&:hover{
			color: white;
			background: black;
		}
	}

    > .btn, > li, > a {
        float: left;
        margin-left: 2px;
        margin-bottom: 2px;
    }
}